/**
 * Core API v1 (OpenAPI: 3.0.1)
 *
 *
 * NOTE: This class is auto generated by openapi-typescript-client-api-generator.
 * Do not edit the file manually.
 */
import {Widget} from "src/classLibrary/Dashboard/Dashboard";
import {Layout} from "src/classLibrary/Dashboard/WidgetStore";

export class DashboardResponse {
    constructor(dashboardData: { [p: string]: Widget }, dashboard: Layout[]) {
        this.dashboardData = dashboardData;
        this.dashboard = dashboard;
    }

    dashboardData: { [s: string]: Widget };
    dashboard: Layout[];
}

export class ProjectFieldResponse {
    constructor(dashboard: DashboardResponse[]) {
        this.dashboard = dashboard;
    }


    dashboard?: DashboardResponse[]

}
